MAN(1)

NAMN
man - ett gränssnitt för systemferensmanualer

SYNOPSIS
man [manflaggor] [[avsnitt] sida ...] ...
man -k [aproposflaggor] regutr ...
man -K [manflaggor] [avsnitt] term ...
man -f [whatis flaggor] sida ...
man -l [manflaggor] fil ...
man -w|-W [manflaggor] sida ...

BESKRIVNING
man är systemets sidvisare för manualen. Varje sid-argument som angetts till man är normalt sett namnet på ett program, verktyg eller en funktion. Manualsidan som associerats med vart och ett av dessa argument letas sedan upp och visas. Ett avsnitt, om det angetts, kommer att dirigera man att leta endast i det avsnittet av manualen. Standardåtgärden är att genomsöka alla tillgängliga avsnitt i en förutbestämd ordning (see STANDARDVÄRDEN), och att visa endast den första sida som hittas, även om sida finns i flera avsnitt. Tabellen nedan visar avsnitts-numren för manualen åtföljt av vilken typ av sidor de innehåller.
1 | Exekverbara program eller skalkommandon
2 | Systemanrop (funktioner som tillhandahålls av kerneln)
3 | Biblioteksanrop (funktioner i programbibliotek)
4 | Speciella filer (hittas vanligtvis i /dev)
5 | Filformat och konventioner t.ex. /etc/passwd
6 | Spel
7 | Diverse (inklusive makropaket och konventioner), t.ex. man(7), groff(7), man-pages(7)
8 | Kommandon för systemadministration (vanligtvis bara för root)
9 | Kernelrutiner [Icke-standard]
En manualsida består av flera avsnitt. Vanliga avsnittsnamn inkluderar NAMN, SYNOPSIS, KONFIGURATION, BESKRIVNING, FLAGGOR, AVSLUTSSTATUS, RETURVÄRDE, FEL, MILJÖ, FILER, VERSIONER, STANDARDER, NOTERINGAR, FEL, EXEMPEL, UPPHOVSMÄN och SE VIDARE. Följande konventioner gäller för SYNOPSIS-avsnittet och kan användas som riktlinjer för andra avsnitt.
fet text | skriv in exakt som visat.
kursiv text | ersätt med lämpligt argument.
[-abc] | vilket som eller alla argumenten inom [ ] är valfria.
-a|-b | flaggor avgränsade av | kan inte användas tillsammans.
argument ... | argument går att upprepa.
[uttryck] ... | hela uttrycket inom [ ] går att upprepa.
Den exakta renderingen kan variera beroende på utmatningsenhet. Man kommer till exempel vanligtvis inte att kunna rendera kursiv text när det används i en terminal, utan kommer vanligtvis att använda understruken eller färgad text istället. Kommando- eller funktionsexemplet är ett mönster som bör matcha alla möjliga anrop. I vissa fall är det rekommenderat att exemplifiera med flera separata anrop så som visas i avsnittet SYNOPSIS i denna manualsida.

EXEMPEL

man ls
    Visa manualsidan för objektet (programmet) ls.

man man.7
    Visa manualsidan för makropaketet man från sektion 7. (Detta är en alternativ stavning av ”man 7 man”.)

man 'man(|7)'
    Visa manualsidan för makropaketet man från avsitt 7. (Det är en alternativ stavning av ”man 7 man”. Det kan vara bekvämare vid kopiering och inklistring av korsreferenser mellan manualsidor. Notera att parenteserna normalt måste citeras för att skydda dem från skalet.)

man -a intro
    Visa, i följd, alla tillgängliga intro-manualsidor som finns i manualen. Det är möjligt att avsluta mellan visningarna eller hoppa över någon av dem.

man -t bash | lpr -Pps
    Formatera manualsidan för bash till standard troff- eller groff-format och öppna rör till skrivaren med namnet ps. Standardutmatningen för groff är vanligtvis PostScript. man --help borde ange vilken hanterare som är bunden till flaggan -t.

man -l -Tdvi ./foo.1x.gz > ./foo.1x.dvi
    Detta kommando kommer att dekomprimera och formatera nroff-källmanualsidan ./foo.1x.gz till en enhetsoberoende (dvi)-fil. Omdirigeringen är nödvändig eftersom -T-flaggan förorsakar att utmatningen kommer att dirigeras till stdout utan sidvisare. Utmatningen skulle kunna visas med ett program så som xdvi eller processas vidare till PostScript med hjälp av ett program så som dvips.

man -k printf
    Genomsök de korta beskrivningarna och namnen på manualsidorna efter nyckelordet printf som ett reguljärt uttryck. Skriv ut allt som matchar. Ekvivalent med apropos printf.

man -f smail
    Leta upp manualsidorna som refereras till som smail och skriv ut de korta beskrivningarna för de som hittas. Ekvivalent med whatis smail.

ÖVERSIKT
Många flaggor till man finns för att ge användaren så mycket flexibilitet som möjligt. Ändringar kan göras till sökvägen, avsnittsordningen, utmatningshanteraren och andra beteenden och operationer som beskrivs nedan. Om satta kommer diverse miljövariabler att studeras för att bestämma hur man ska fungera. Det är möjligt att sätta den övergripande variabeln $MANOPT till vilken sträng som helst i kommandoradsformat förutom att de blanksteg som används som del av en flaggas argument måste markeras (föregås av ett bakstreck). man kommer att tolka $MANOPT före att det tolkar sin egen kommandorad. De flaggor som kräver ett argument kommer att åsidosättas av samma flaggor som finns på kommandoraden. För att återställa alla flaggorna som ställts in i $MANOPT så kan -D anges som den första kommandoradsflaggan. Detta låter man ”glömma” de flaggor som angetts i $MANOPT, även om de fortfarande måste vara giltiga. Manualsidor lagras normalt i nroff(1)-format under en katalog så som /usr/share/man. För vissa installationer find det också förformaterade cat-sidor för att förbättra prestanda. Se manpath(5) för detaljer om var dessa filer lagras. Detta paket har stöd för manualsidor på flera språk, vilket styrs av din locale. Om ditt system inte ställde inte detta automatiskt för dig, kan du behöva sätta $LC_MESSAGES, $LANG eller någon annan systemberoende miljövariabel för att indikera din önskade lokal, vanligtvis angiven i det POSIX-format: <språk>[_<territorium>[.<teckenuppsättning>[,<version>]]] Om den önskade sidan finns tillgänglig i din lokal så kommer den att visas istället för standardsidan (vanligtvis på amerikansk engelska). Om du finner att översättningarna som kommer med detta paket inte finns tillgängliga på ditt modersmål och skulle vilja tillhandahålla dem, vänligen kontakta den ansvariga utvecklaren som kan koordinera en sådan aktivitet. Individualla manualsidor skrivs och underhålls normalt av utvecklarna av programmet, funktionen eller annat ämne som de dokumenterar och inkluderas inte i detta paket. Om du upptäcker att en manualsida saknas eller är ofullständig, rapportera det till utvecklarna av paketet i fråga. För information angående andra funktioner och tillägg för denna visare för manualsidor, se vidare i dokumenten som levererats med paketet.

STANDARDVÄRDEN
Ordningen av avsnitten som ska genomsökas kan åsidosättas via miljövariabeln $MANSECT eller av direktivet SECTION i /etc/man_db.conf. Som standard är den som följer:
    1 1p 8 2 3 3p 4 5 6 7 9 0p n l p o 1x 2x 3x 4x 5x 6x 7x 8x
Den formaterade manualsidan visas med hjälp av en sidvisare. Detta kan anges på ett antal sätt, eller så faller man tillbaka på ett standardvärde (see alternativ -P för vidare information). Filtren lokaliseras på ett antal olika sätt. Först kommer kommandoradsflaggan -p eller miljövariabeln $MANROFFSEQ att inspekteras. Om -p inte användes och miljövariabeln inte var satt kommer den första raden av nroff-filen att tolkas och genomsökas efter en preprocessorsträng. För att innehålla en giltig preprocessorsträng så måste första raden vara på formen '\" <sträng> där sträng kan vara vilken kombination som helst av bokstäver som beskrivs av flaggan -p nedan. Om ingen av de ovanstående metoderna tillhandahåller någon filterinformation kommer standarduppsättningen att användas. En formateringsrörledning skapas från filtren och den primära formateraren (nroff eller [tg]roff med -t) och köras. Alternativt om ett körbart program mandb_nfmt (eller mandb_tfmt med -t) existerar i roten till man-trädet kommer det att köras istället. Det förses med manualsidans källkodsfil, preprocessorsträngen och valfritt enheten som angetts med -T eller -E som argument.

FLAGGOR
Icke-argument flaggor som duplicerats antingen på kommandoraden, i $MANOPT eller båda är inte skadliga. För flaggor som kräver ett argument kommer varje duplicering att åsidosätta det tidigare argumentvärdet.

  Allmänna flaggor

-C fil, --config-file=fil
    Använd denna användarkonfigurationsfil snarare än standard ~/.manpath.

-d, --debug
    Skriver ut felsökningsinformation.

-D, --default
    Denna flagga anges normalt som den allra första flaggan och återställer man:s beteende till standardinställningarna. Den används för att återställa de flaggor som kan ha satts i $MANOPT. Flaggor som följer -D kommer att ha sin vanliga effekt.

--warnings[=varningar]
    Aktivera varningar från groff. Detta kan användas för att utföra rimlighetskontroller av källkodstexten för manualsidor. varningar är en kommaseparerad lista av varningsnamn; om de inte anges är standardvärdet ”mac”. För att inaktivera en groff-varning, prefixa den med ”!”: till exempel aktiverar --warnings=mac,!break varningar i kategorin ”mac” och inaktiverar varningar i kategorin ”break”. Se noden “Varningar” i info groff för en lista över möjliga varningsnamn.

  Huvudarbetssätt

-f, --whatis
    Ungefär motsvarande whatis. Visa en kort beskrivning från manualsidan om tillgänglig. Se whatis(1) för detaljer.

-k, --apropos
    Ungefär motsvarande apropos. Sök efter nyckelord bland de korta beskrivningarna för manualsidorna och visa eventuella matchningar. Se apropos(1) för detaljer.

-K, --global-apropos
    Sök efter text i alla manualsidor. Detta är en naiv sökning och tar troligtvis lite tid; om du kan så bör du ange ett avsnitt för att reducera antalet sidor som måste genomsökas. Söktermer kan vara enkla strängar (som standard) eller reguljära uttryck om flaggan --regex används.

    Notera att detta genomsöker manualsidornas källor, inte den renderade texten, och kan därför inkludera falska positiver på grund av exempelvis kommentarer i källfiler, eller falska negativer på grund av saker så som att bindestreck skrivs som ”\-” i källkodsfiler. Sökning i den renderade texten hade varit mycket långsammare.

-l, --local-file
    Aktivera ”lokalt” läge. Formatera och visa lokala manualfiler istället för att söka genom systemets manualsamling. Varje manualsidesargument kommer att tolkas som en nroff-källkodsfil i det korrekta formatet. Ingen cat-fil produceras. Om ”-” listas som ett av argumenten kommer inmatningen att tas från standard in. När denna flagga inte används och man misslyckas med att hitta den begärda sidan, innan felmeddelandet visas, så kommer det att bete sig som om denna flagga angavs, och använda namnet som ett filnamn och söka efter en exakt matchning.

    Om denna flagga inte används kommer man att falla tillbaka på att tolka manualsidesargumenten som lokala filnamn om argumentet innehåller ett ”/”-tecken, eftersom detta är en god indikation på att argumentet refererar till en sökväg i filsystemet.

-w, --where, --path, --location
    Visa inte själva manualsidan, utan skriv ut platsen för nroff-källfilen som skulle ha formaterats. Om flaggan -a också används, skriv ut alla källkodsfiler som matchar sökkriterierna.

-W, --where-cat, --location-cat
    Visa inte själva manualsidan, utan skriv ut platsen för den förformaterade cat-filen som skulle ha visats. Om flaggan -a också används, skriv då ut platserna för alla förformaterade cat-filer som matchar sökkriterierna.

    Om både -w och -W används, skriv då ut både källfiler och cat-filer separerade av ett blanksteg. Om både -w, -W och -a används, gör då detta för varje eventuell matchning.

-c, --catman
    Denna flagga är inte avsedd för allmänt bruk och bör bara användas av programmet catman.

-R kodning, --recode=kodning
    Istället för att formatera manualsidan på det vanliga sättet, mata ut dess källkod konverterat till den angivna kodningen. Om du redan vet kodningen för källkodsfilen kan du också använda manconv(1) direkt. Denna flagga låter dig dock konvertera flera manualsidor till en enstaka kodning utan att du måste explicit ange kodningstillstånden för var och en, givet att de redan fanns installerade i en struktur liknande en hierarki av manualsidor.

    Överväg att använda man-recode(1) istället för att konvertera flera manualsidor då det har ett gränssnitt designat för masskonvertering och därför kan vara mycket snabbare.

  Att hitta manualsidor

-L lokal, --locale=lokal
    man kommer normalt att avgöra din aktuella lokal genom att anrop till C-funktionen setlocale(3) som kontrollerar diverse miljövariabler, som eventuellt $LC_MESSAGES och $LANG. För att tillfälligt åsidosätta det framtagna värdet, använd denna flagga för att ange en lokal-sträng direkt till man. Notera att det inte får någon effekt förrän sökningen efter sidor faktiskt påbörjas. Utmatning så som hjälpmeddelandet kommer alltid att visas enligt den först bestämda lokalen.

-m system[,...], --systems=system[,...]
    Om detta system har tillgång till andra operativsystems manualsidor kan de nås via den här flaggan. För att söka efter en manualsida från samlingen av manualsidor för NyttOS, använd flaggan -m NyttOS. system som angetts kan vara en kombination av kommaavgränsade namn på operativsystem. För att inkludera en sökning för det normala operativsystemets manualsidor, inkludera systemnamnet man i argumentsträngen. Denna flagga kommer att åsidosätta miljövariabeln $SYSTEM.

-M sökväg, --manpath=sökväg
    Ange en alternativ man-sökväg att använda. Som standard kommer man att använda manpath-härledd kod för att avgöra vilken sökväg som ska genomsökas. Denna flagga åsidosätter miljövariabeln $MANPATH och gör att flaggan -m ignoreras. En sökväg angiven som en man-sökväg måste vara roten för en hierarki av manualsidor strukturerad i avsnitt som beskrivits i man-db-manualen (Under ”Systemet för manualsidor”). För att visa manualsidor utanför sådana hierarkier, se flaggan -l.

-S\fP lista, -s\fP lista, --sections=lista
    Den angivena listan är en kolon- eller kommaseparerad lista av avsnitt, som används för att avgöra vilka manualavsnitt som ska genomsökas och i vilken ordning. Denna flagga åsidosätter miljövariabeln $MANSECT. (Stavningen -s är för att vara kompatibel med System V.)

-e underändelse, --extension=underändelse
    Vissa system införlivar stora paket med manualsidor, så som de som följer med paketet Tcl, i huvudhierarkin för manualsidor. För att komma runt problemet med att ha två manualsidor med samma namn, exempelvis exit(3), så tilldelades normalt sett alla Tcl-sidorna till avsnitt l. Då detta är olyckligt är det nu möjligt att placera sidorna i det korrekta avsnittet och att tilldela en specifik ”ändelse” till dem, i detta fallet exit(3tcl). Vid normal användning kommer man att visa exit(3) istället för exit(3tcl). För att förhandla denna situation och för att undvika att man måste veta vilket avsnitt sidan du begär finns i, är det nu möjligt att förse man med en underändelse-sträng som indikerar vilket paket sidan måste höra till. Med exemplet ovan så kan man ange flaggan -e tcl till man för att det ska begränsa sökningen till sidor som har ändelsen *tcl.

-i, --ignore-case
    Ignorera skiftläge vid sökning efter manualsidor. Detta är standard.

-I, --match-case
    Sök efter manualsidor på ett skiftlägeskänsligt sätt.

--regex
    Visa alla sidor där någon del av antingen deras namn eller deras beskrivningar matchar varje sida-argument som ett reguljärt uttryck, som med apropos(1). Eftersom det vanligtvis inte finns något rimligt sätt att välja en ”bästa” sida vid sökning via ett reguljärt uttryck så implicerar denna flagga -a.

--wildcard
    Visa alla sidor där någon del av antingen deras namn eller deras beskrivningar matchar varje sida-argument med jokertecken i skal-stil, som med apropos(1) --wildcard. Argumentet sida måste matcha hela namnet eller beskrivningen eller matcha på ordgränser i beskrivningen. Eftersom det vanligtvis inte finns något rimligt sätt att välja en ”bästa” sida vid sökning via jokertecken så implicerar denna flagga -a.

--names-only
    Om flaggan --regex eller --wildcard används så matcha enbart sidnamn, inte sidbeskrivningar, som med whatis(1). Förövrigt har den ingen effekt.

-a, --all
    Som standard kommer man att avsluta efter ha visat den mest lämpliga manualsidan den hittar. Om denna flagga används så tvingas man att visa alla manualsidor med namn som matchar sökkriteriet.

-u, --update
    Denna flagga får man att uppdatera sina databascachar för installerade manualsidor. Detta behövs endast i speciella situationer och det är normalt sett bättre att köra mandb(8) istället.

--no-subpages
    Som standard kommer man att försöka tolka par av namn på manualsidor som anges på kommandoraden som ekvivalenta med ett enstaka namn på en manualsida som innehåller ett bindestreck eller ett understreck. Detta stöder vanliga mönster för program som implementerar ett antal underkommandon, vilket låter dem tillhandahålla manualsidor för vart och ett som kan nås via liknande syntax som skulle ha använts för att köra underkommandona själva. Till exempel:
      $ man -aw git diff
      /usr/share/man/man1/git-diff.1.gz
    För att inaktivera detta beteende, använd flaggan --no-subpages.
      $ man -aw --no-subpages git diff
      /usr/share/man/man1/git.1.gz
      /usr/share/man/man3/Git.3pm.gz
      /usr/share/man/man1/diff.1.gz

  Att kontrollera formaterad utmatning

-P sidvisare, --pager=sidvisare
    Ange vilken utmatningssidvisare som ska användas. Som standard använder man less, om less inte finns eller är körbar används cat. Denna flagga åsidosätter miljövariabeln $MANPAGER, vilken i sin tur åsidosätter miljövariabeln $PAGER. Den används inte i samband med -f eller -k. Värdet kan vara ett enkelt kommandonamn eller ett kommando med argument och får använda skalcitering (bakstreck, enkla citattecken eller dubbla citattecken). Det får inte använda rörledningar för att koppla ihop flera kommandon; om du behöver detta så använd ett inkapslingsskript som kan ta filen som ska visas antingen som ett argument eller via standard in.

-r prompt, --prompt=prompt
    Om en sen version av less används som sidvisaren kommer man att försöka ställa in dess prompt och en del vettiga flaggor. Standardprompten ser ut som Manualsida namn(avsn) rad x där namn betecknar manualsidans namn, avsn betecknar avsnittet i vilket den hittades och x det aktuella radnumret. Detta åstadkoms via miljövariabeln $LESS. Om -r förses med en sträng kommer den att åsidosätta detta standardvärde. Strängen får innehålla texten $MAN_PN vilken kommer att expanderas till namn på den aktuella manualsidan och dess avsnittsnamn omgärdat av ”(” och ”)”. Strängen som används för att producera standardvärdet kan uttryckas som \ Manualsida\ \$MAN_PN\ ?ltrad\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (SLUT):?pB\ %pB\\%..
    (tryck på h för hjälp eller q för att avsluta) Den har radbrutits till tre rader enkom för läslighet. För dess innebörd se manualsidan för less(1). Promptsträngen utvärderas av skalet. Alla dubbla citattecken, grav accent och bakstreck i prompten måste föregås av en kontrollsekvens med ett bakstreck. Promptsträngen får sluta med en kontrollsekvens följd av ett $ vilket i sin tur kan följas av ytterligare flaggor till less. Som standard sätter man flaggorna -ix8. Miljövariabeln $MANLESS som beskrivs nedan kan användas för att ställa in en standardpromptsträng om ingen anges på kommandoraden.

-7, --ascii
    När du tittar på en ren ascii(7) manualsida på en 7-bitars terminal eller terminalemulator så kan vissa tecken komma att inte visas korrekt när latin1(7) enhetsbeskrivningen används med GNU nroff. Denna flagga låter rena ascii manualsidor visas i ascii med latin1-enheten. Den kommer inte att översätta någon latin1-text. Följande tabell visar översättningarna som görs: visa delar av den kan endast visas korrekt när GNU nroff:s latin1(7)-enhet används.
    Beskrivning | Oktal | latin1 | ascii
    bindestreck | 255 |  | -
    punkt (mittpunkt) | 267 | • | o
    akut accent | 264 | ´ | '
    multiplikationstecken | 327 | × | x
    Om latin1-kolumnen visas korrekt kan din terminal vara inställd på latin1-tecken och denna flagga behövs inte. Om latin1- och ascii-kolumnerna är identiska läser du denna sida med hjälp av denna flagga eller så formaterade inte man denna sidan via latin1-enhetsbeskrivningen. Om latin1-kolumnen saknas eller är trasig så kan du vara tvungen att visa manualsidor med denna flagga. Denna flagga ignoreras om flaggorna -t, -H, -T, eller -Z används och kan vara meningslös för andra nroff än GNU:s.

-E kodning, --encoding=kodning
    Generera utmatning för en annan teckenkodning är standardkodningen. För bakåtkompatibilitet kan kodning så väl vara en nroff-enhet, exempelvis ascii, latin1 eller utf8, som en riktig teckenkodning så som UTF-8.

--no-hyphenation, --nh
    Normalt kommer nroff automatiskt avstava text vid radbrytning även för ord som inte innehåller några bindestreck om detta behövs för att placera ut orden på en rad utan allt för mycket blanktecken. Denna flagga inaktiverar automatisk avstavning så att ord bara kommer att avstavas om de redan innehåller bindestreck. Om du skriver en manualsida och helt enkelt vill förhindra nroff från att avstava ett ord vid en olämplig punkt ska du inte använda denna flagga utan konsultera nroff-dokumentationen istället; du kan till exempel placera ”\%” inuti ett ord för att indikera att det kan avstavas vid denna punkten, eller placera ”\%” vid ordets början för att förhindra det från att avstavas.

--no-justification, --nj
    Normalt sett kommer nroff automatiskt att justera text längs båda marginalerna. Denna flagga inaktiverar fullständig justering men tillåter justering längs vänstermarginalen, ibland kallat ”text med ojämn högermarginal”. Om du skriver en manualsida och helt enkelt vill förhindra nroff från att justera vissa stycken ska du inte använda denna flagga, utan konsultera nroff-dokumentationen istället; du kan till exempel använda ”.na”, ”.nf”, ”.fi” och ”.ad”-begäran för att tillfälligt inaktivera justering och fyllning.

-p sträng, --preprocessor=sträng
    Ange sekvensen av preprocessorer som ska köras innan nroff eller troff/groff. Inte alla installationer kommer att ha den fullständiga uppsättningen av preprocessorer. Visa av preprocessorerna och bokstäverna som används för att beteckna dem är eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Denna flagga åsidosätter miljövariabeln $MANROFFSEQ. zsoelim körs alltid som den allra första preprocessorn.

-t, --troff
    Använd groff -mandoc för att formatera manualsidan till standard ut. Denna flagga krävs inte i samband med -H, -T, eller -Z.

-T[enhet], --troff-device[=enhet]
    This option is used to change groff (or possibly troff's) output to be suitable for a device other than the default. It implies -t. Examples (as of groff 1.23.0) include dvi, latin1, pdf, ps, utf8, X75 and X100.

-H[webbläsare], --html[=webbläsare]
    Denna flagga kommer att få groff att producera HTML-utmatning och kommer att visa den utmatningen i en webbläsare. Valet av webbläsare bestäms av det valfria argumentet webbläsare om det finns angivet, av miljövariabeln $BROWSER eller av ett standardvärde vid kompileringen (vanligtvis lynx). Denna flagga implicerar -t och kommer endast att fungera med GNU troff.

-X[ppt], --gxditview[=ppt]
    Denna flagga visar utmatningen från groff i ett grafiskt fönster med hjälp av programmet gxditview. ppt (punkter per tum) kan vara 75, 75-12, 100, eller 100-12 där standardvärdet är 75; varianterna med -12 använder ett 12-punkters bastypsnitt. Denna flagga implicerar -T med enheten X75, X75-12, X100, respektive X100-12.

-Z, --ditroff
    groff kommer att köra troff och sedan använda en lämplig postprocessor för att producera utmatning lämplig för den valda enheten. Om groff -mandoc är groff kommer denna flagga att skickas vidare till groff och undertrycka användandet av en postprocessor. Den implicerar -t.

  Att få hjälp

-?, --help
    Skriv ut ett hjälpmeddelande och avsluta.

--usage
    Skriv ut ett kort användningsmeddelande och avsluta.

-V, --version
    Visa versionsinformation.

SLUTSTATUS

0   Framgångsrik programexekvering.

1   Användnings-, syntax- eller konfigurationsfilsfel.

2   Funktionsfel.

3   En barnprocess returnerade en slutstatus som inte var noll.

16  Åtminstone en av sidorna/filerna/nyckelorden existerade inte eller matchades inte.

MILJÖ

MANPATH
    Om $MANPATH är satt kommer dess värde att användas som sökvägen att genomsöka efter manualsidor. Se avsnittet för SÖKVÄG i manpath(5) för standardbeteende och detaljer om hur denna miljövariabel hanteras.

MANROFFOPT
    Varje gång man kör formateraren (nroff, troff eller groff) lägger den till innehåller från $MANROFFOPT till formaterarens kommandorad. For example, MANROFFOPT=-P-i tells the formatter to use italic text (which is only supported by some terminals) rather than underlined text.

MANROFFSEQ
    Om $MANROFFSEQ är satt kommer dess värde att användas för att bestämma uppsättningen av preprocessorer som varje manualsida ska propageras genom. Standard preprocessorlistan är systemberoende.

MANSECT
    Om $MANSECT är satt är dess värde en kolonavgränsad lista över avsnitt och den används för att bestämma vilka manualavsnitt som ska genomsökas och i vilken ordning. Standardvärdet är ”1 1p 8 2 3 3p 4 5 6 7 9 0p n l p o 1x 2x 3x 4x 5x 6x 7x 8x” om det inte åsidosatts av direktivet SECTION i /etc/man_db.conf.

MANPAGER, PAGER
    Om $MANPAGER eller $PAGER är satt ($MANPAGER används i första hand) så kommer dess värde att användas som namnet på det program som används för att visa manualsidan. Som standard kommer less att användas, om less inte hittas eller är körbar används cat. Värdet kan vara ett enkelt kommandonamn eller ett kommando med argument och får använda skalcitering (bakstreck, enkla citattecken eller dubbla citattecken). Det får inte använda rörledningar för att koppla ihop flera kommandon; om du behöver detta så använd ett inkapslingsskript som kan ta filen som ska visas antingen som ett argument eller via standard in.

MANLESS
    Om $MANLESS är satt kommer dess värde att användas som standardpromptsträngen för sidvisaren less, som om den hade angetts via flaggan -r (så förekomster av texten $MAN_PN kommer att expanderas på samma sätt). Om du till exempel ovillkorligen vill ställa in promptsträngen till “min promptsträng”, sätt $MANLESS till ‘-Psmin promptsträng’. Om flaggan -r används så åsidosätts denna miljövariabel.

BROWSER
    Om $BROWSER är satt är dess värde en kolonavgränsad lista av kommandon, som vart och ett kommer att användas för att försöka starta en webbläsare åt man --html. I varje kommando kommer %s att ersättas med ett filnamn innehållandes HTML-utmatningen från groff, %% ersätts med ett enkelt procenttecken (%) och %c ersätts med ett kolon (:).

SYSTEM
    Om $SYSTEM är satt kommer den att ha samma effekt som om den hade angetts som argument till flaggan -m.

MANOPT
    Om $MANOPT är satt kommer den att tolkas innan man:s kommandorad och förväntas att följa samma format. Eftersom alla andra man-specifika miljövariabler kan uttryckas som kommandoradsflaggor och därför är kandidater att inkluderas i $MANOPT är det förväntat att de kommer att bli föråldrade. Notera: alla blanksteg som ska tolkas som en del av en flaggas argument måste föregås av en kontrollsekvens.

MANWIDTH
    Om $MANWIDTH är satt kommer dess värde att användas som radbredden för vilken manualsidor ska formateras. Om den inte är satt kommer manualsidor att formateras med en radbredd som är lämplig för den aktuella terminalen (där värdet från $COLUMNS, och ioctl(2) används eller så faller den tillbaka på 80 tecken om ingendera är tillgänglig). Cat-sidor kommer endast att sparas om standardformateringen kan användas, det vill säga när terminalradbredden är mellan 66 och 80 tecken.

MAN_KEEP_FORMATTING
    När utmatning inte dirigeras till en terminal utan exempelvis till en fil eller en rörledning så förkastas formateringstecken för att göra det enklare att läsa resultatet utan något särskilt verktyg. Om $MAN_KEEP_FORMATTING är satt till ett icke-tomt värde kommer dessa formateringstecken dock att bibehållas. Detta kan vara användbart vid inkapsling av man som kan tolka formateringstecken.

MAN_KEEP_STDERR
    När utmatning inte dirigeras till en terminal (vanligtvis en sidvisare) kommer felutskrifter från kommandot som använts för att producera formaterade versioner av manualsidor att förkastas för att undvika störning i sidvisarens visning. Program så som groff producerar ofta mindre felmeddelanden om typografiska problem så som dålig justering som är fula och allmänt förvirrande när de visas samtidigt med manualsidan. Vissa användare vill dock se dem ändå så om $MAN_KEEP_STDERR är satt till ett icke-tomt värde kommer felutskrifter att visas som normalt.

MAN_DISABLE_SECCOMP
    I Linux begränsar man normalt underprocesser som hanterar opålitlig data med hjälp av en seccomp(2)-sandlåda. Detta gör det säkrare att köra komplex tolkningskod över godtyckliga manualsidor. Om detta går fel av någon anledning orelaterad till innehållet för sidan som visas kan du sätta $MAN_DISABLE_SECCOMP till ett icke-tomt värde för att inaktivera sandlådan.

PIPELINE_DEBUG
    Om miljövariabeln $PIPELINE_DEBUG sätts till ”1”, kommer man att skriva ut felsökningsmeddelanden till standard fel som beskriver varje underprocess det kör.

LANG, LC_MESSAGES
    Beroende på system och implementation kommer endera eller båda av $LANG och $LC_MESSAGE att studeras för att bestämma den aktuella meddelandelokalen. man kommer att visa sina meddelanden i den lokalen (om den finns tillgänglig). Se setlocale(3) för vidare detaljer.

FILER

/etc/man_db.conf
    man-db-konfigurationsfil.

/usr/share/man
    En global hierarki av manualsidor.

STANDARDER
POSIX.1-2001, POSIX.1-2008, POSIX.1-2017.

SE VIDARE
apropos(1), groff(1), less(1), manpath(1), nroff(1), troff(1), whatis(1), zsoelim(1), manpath(5), man(7), catman(8), mandb(8)

Dokumentation för vissa paket kan finnas tillgängliga i andra format, så som info(1) eller HTML.

HISTORIA
1990, 1991 – Skrevs i original av John W. Eaton (jwe@che.utexas.edu). 23:e dec 1992: Rik Faith (faith@cs.unc.edu) lade till felfixar från Willem Kasdorp (wkasdo@nikhefk.nikef.nl). 30:e april 1994 – 23:e februari 2000: Wilf. (G.Wilford@ee.surrey.ac.uk) har utvecklat och underhållit detta paket med hjälp av ett par hängivna individer. 30:e oktober 1996 – 30:e mars 2001: Farizio Polacco <fpolacco@debian.org> underhöll och förbättrade detta paket för Debian-projektet, med hjälp från hela gemenskapen. 31:a mars 2001 – idag: Colin Watson <cjwatson@debian.org> utvecklar och underhåller nu man-db.

FEL
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db